Loading...
Searching...
No Matches
ForceFields::UFF::Utils Namespace Reference

## Functions

RDKIT_FORCEFIELD_EXPORT double | calculateCosY (const RDGeom::Point3D &iPoint, const RDGeom::Point3D &jPoint, const RDGeom::Point3D &kPoint, const RDGeom::Point3D &lPoint)
RDKIT_FORCEFIELD_EXPORT std::tuple< double, double, double, double > | calcInversionCoefficientsAndForceConstant (int at2AtomicNum, bool isCBoundToO)
| calculates and returns the UFF force constant for an improper torsion

## Function Documentation

## calcInversionCoefficientsAndForceConstant()

RDKIT_FORCEFIELD_EXPORT std::tuple< double, double, double, double > ForceFields::UFF::Utils::calcInversionCoefficientsAndForceConstant | ( | int | at2AtomicNum,
|  | bool | isCBoundToO
| ) |  |

calculates and returns the UFF force constant for an improper torsion

Parameters

  at2AtomicNum | atomic number for atom 2
  isCBoundToO | boolean flag; true if atom 2 is sp2 carbon bound to sp2 oxygen

Returns
  the force constant

## calculateCosY()

RDKIT_FORCEFIELD_EXPORT double ForceFields::UFF::Utils::calculateCosY | ( | const RDGeom::Point3D & | iPoint,
|  | const RDGeom::Point3D & | jPoint,
|  | const RDGeom::Point3D & | kPoint,
|  | const RDGeom::Point3D & | lPoint
| ) |  |

calculates and returns the cosine of the Y angle in an improper torsion (see UFF paper, equation 19)